NGCP-API-PUT(1)

NAME
ngcp-api-put - sends a put request to NGCP REST API

SYNOPSIS
ngcp-api-put [-f FILEPATH] [-v] [-h] URL [CONTENT-TYPE]

DESCRIPTION
ngcp-api-put sends a put request to NGCP REST API.

OPTIONS

-f FILEPATH
    Use FILEPATH as input file instead of stdin.

-v  Verbose mode.

-h  Print usage.

URL URL for the request

CONTENT-TYPE
    Specifies the HTTP content-type. The default is 'application/json'

EXAMPLES
    $ echo '{"body":"test","from_email":"test","name":"test","reseller_id":4,"subject":"test"}'\
    | ngcp-api-put 'https://example.org:1443/api/emailtemplates/2'

    $ ngcp-api-put -f ../test_put.json https://127.0.0.1:1443/api/domains/ 'application/json'

SEE ALSO
ngcp-api-get(1), ngcp-api-post(1), ngcp-api-patch(1), ngcp-api-delete(1).

https://ngcp-server.domain:1443/api

COPYRIGHT
2014 Sipwise Development Team <support@sipwise.com>